Subject: [Fot] 5.5 x 13 Spitfire Wheels

From: James Trudeau via Fot <[email-masked]>
Date: Fri, 12 May 2023 06:46:01 -0400

I’m looking for another set of Minilight or Supersport style race wheels for my Spitfire.

Moss Motors has them for $230 each, but Mike H pointed me to some significantly lower cost British suppliers, which unfortunately only have 5” width in stock, currently. 

Any other new or used options I’m overlooking?

I might end up getting new narrower wheels and put the seldom used rain/storage tires on, freeing up another set of 5.5” wides for Hoosiers. 

Thanks,

Jim 

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]